Updated Project/Index to appear more like Admin/Projects

2011-02-23 21:36 - Alex Bevilacqua

Status: Closed Start date: 2011-02-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Description

This is just a simple visual patch against app/views/projects/index.rhtml to make the project tree layout look more like the project list

under the admin view.

Index: app/views/projects/index.rhtml

===================================================================

--- app/views/projects/index.rhtml    (revision 4903)

+++ app/views/projects/index.rhtml    (working copy)

@@ -11,8 +11,26 @@

 <h2><%=l(:label_project_plural)%></h2>

-<%= render_project_hierarchy(@projects)%>

+<div class="autoscroll">

+<table class="list">  

+  <tbody>

+<% project_tree(@projects) do |project, level| %>

+  <tr class="<%= cycle("odd", "even") %> <%= project.css_classes %> <%= level > 0 ? "idnt idnt-#{

level}" : nil %>">

+    <td class="name"><span><%= link_to_project(project, 

+    {:action => 'settings'}, 

+    :title => project.short_description, :class => "project #{User.current.member_of?(project) ? 

'my-project' : nil}") %></span>

+    <% unless project.description.blank? %>

+    <br />

+    <div class='wiki description' style="font-size: 10px"><%= textilizable(project.short_descript

ion, :project => project) %></div>

+    <% end %>

+  </td>

+    </tr>

+<% end %>

+  </tbody>

+</table>

+</div>

+

 <% if User.current.logged? %>

 <p style="text-align:right;">

 <span class="my-project"><%= l(:label_my_projects) %></span>

 For a quick preview of what this looks like, I have my personal install patched at http://alexbevi.com/projects.

Related issues:

Is duplicate of Redmine - Feature #29482: Query system for Projects page Closed

History

#1 - 2011-02-23 21:37 - Alex Bevilacqua

NOTE I have a hardcoded style in the above that shouldn't be there (style="font-size: 10px") ...

#2 - 2011-02-23 21:40 - Alex Bevilacqua

NOTE 2 Oops, I left the :action => 'settings' option in there ... it should actually be link_to_project(project, {}, ..., not link_to_project(project, {:action =>

'settings'}, ...
#3 - 2011-02-24 09:33 - Etienne Massip

- Category changed from Projects to UI

#4 - 2019-02-12 09:30 - Go MAEDA

- Is duplicate of Feature #29482: Query system for Projects page added

#5 - 2019-02-12 09:31 - Go MAEDA

- Status changed from New to Closed

A new patch covers this feature has been submitted as #29482.
